İçeriğe atla
ShopentlyLearn

Oluştur · Ürün varyantları — Varyantlar ve seçenekler

Varyant kombinasyonları oluşturma. Harici entegrasyon işlemleri için.

POST/api/v1/products/{product_id}/variants

cURL isteği

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/products/example/variants \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-create_variant_api_v1_products__product_id__variants_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"expected_version":1,"value_ids":["example"]}'

Yanıt

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

Gerekli izinler

Kimlik doğrulama
Erişim belirteci
En düşük plan
STANDARD
Anahtar izni
Varyant kombinasyonları oluşturmacatalog.product_variant:create